Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Fri, 21 Sep 2012 19:07:28 +0200

On Fri, Sep 21, 2012 at 7:03 PM, Eli Zaretskii <[email-masked]> wrote:

> Am I missing something, or will this really call the initialization
> function again and again and again?  AFAIU, if an image's library is
> already in Vlibrary_cache, and the cdr of its association is non-nil,
> that means the initialization function was already called for the
> corresponding image type, and it returned non-zero.  So there's no
> need to call it again.

In fact, if an image library is already in Vlibrary_cache, and the cdr
is nil, that also means that the initialization function was called
for that image type, if failed, and should never be called again.

    Juanma